Page MenuHomePhabricator

API feature request: add pageid field to searchurlfrompage
Closed, ResolvedPublic

Description

When using multiple pageIDs with searchurlfrompage it returns this JSON

example

--post-data='action=searchurlfrompage&pageids=34638|36648'

"arguments": {
    "action": "searchurlfrompage",
    "pageids": "34638|36648"
},
"urls": {
    "59708": {
        "id": "59708",
        "url": "http:\/\/abc7.com\/archive\/7896689\/",
        "normalizedurl": "http:\/\/abc7.com\/archive\/7896689\/",
        "accesstime": "2014-10-06 00:00:00",
        "hasarchive": true,
        "live_state": "alive",
        "state_level": "url",
        "lastheartbeat": "2018-04-01 11:25:29",
        "assumedarchivable": true,
        "archived": true,
        "attemptedarchivingerror": null,
        "reviewed": true,
        "archive": "http:\/\/archive.wikiwix.com\/cache\/20141008023904\/http:\/\/abc7.com\/archive\/7896689\/",
        "snapshottime": "2014-10-08 02:39:04",
        "reviewedby": "Wikiwix-bot",
        "reviewedon": "2018-03-17 13:00:56"
    },

There's no way to tell if URL 59708 is a member of pageid 34638 or 36648

Event Timeline

Restricted Application assigned this task to Cyberpower678. · View Herald TranscriptMay 10 2018, 3:34 PM
Restricted Application added a subscriber: Cirdan. · View Herald Transcript
This comment was removed by Green_Cardamom.
Vvjjkkii renamed this task from API feature request: add pageid field to searchurlfrompage to 56caaaaaaa.Jul 1 2018, 1:10 AM
Vvjjkkii removed Cyberpower678 as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii added a subscriber: Cyberpower678.
Green_Cardamom renamed this task from 56caaaaaaa to API feature request: add pageid field to searchurlfrompage.Jul 1 2018, 4:11 AM
Green_Cardamom lowered the priority of this task from High to Normal.
Green_Cardamom updated the task description. (Show Details)
Green_Cardamom raised the priority of this task from Normal to Needs Triage.Jul 1 2018, 5:16 AM
Cyberpower678 closed this task as Resolved.Wed, Aug 21, 9:01 PM